/* ***** Start Main Menu ********** */
.main-menu-fixed {    
    background-color: var(--color-black);
    width: 100%;   
    position: relative;    
    position: fixed;
    z-index: 10;
    display: flex;                
    justify-content: center;      
    align-items: center;          
    gap: 2rem;    
    left: 0;
    right: 0;    
    top: 10;
}
.main-menu-fixed a {
    color: var(--color-white);
    text-decoration: none;
    cursor: pointer;
    white-space: nowrap;    
    display: inline-block;             
}
.main-menu-fixed span {
    padding: 0 10px;     
}
.main-menu-fixed span:hover {
    color: var(--color-gold);
    padding: 0 10px; 
}

.main-menu-fixed.scrolled {    
    background-color: black;
    width: 100%;    
    position: fixed;
    top: 0;
    left: 0;
    z-index: 10;
    overflow: hidden;
    display: flex;                
    justify-content: center;      
    align-items: center;          
    gap: 2rem;   
    margin-top: 0;    
    transition: transform 0.4s ease; 
    box-shadow: 0 4px 12px rgba(0, 0, 0, 0.25);
}
.main-menu-logo {
    width: 15%;
    margin-right: 2%;    
}
.main-menu-logo-graphic {
    width: 3.5%;
    padding: 0;
}
.btn-menu-primary {
    padding: 1% 2% 1% 2%;
    color: var(--color-white);
    background-color: var(--color-gold);
    text-decoration: none;
    position: relative;
}
.btn-menu-primary:hover {
    padding: 1% 2% 1% 2%;
    color: var(--color-gold);
    background-color: var(--color-light-black);
    text-decoration: none;
    position: relative;
}
 .site-header {
    display: none;
}
/* ***** End Main Menu ********** */

/* Media Queries */
@media screen and (min-width: 801px) and (max-width: 1200px) {
    .main-menu-fixed-hide {        
        display: none;
    } 
    .main-menu-fixed {
        top: 10;
    }   
    .main-menu-logo-graphic {        
        padding: 0;
        width: 3.5%;
    }         
/* *************** mobile menu Here *********** */

.site-header {
  display: flex;
  align-items: center;
  justify-content: space-between;
  padding: 1rem;
  background: var(--color-black);
  color: var(--color-white);
  position: relative;
  top: 0;
  left: 0;
}

.hamburger {
  width: 55px;
  height: 24px;
  background: none;
  border: none;
  cursor: pointer;
  display: flex;
  flex-direction: column;
  justify-content: space-between;
}

.hamburger span {
  height: 3px;
  width: 100%;
  background: var(--color-white);
  border-radius: 2px;
  transition: 0.3s ease;
}
.hamburger span:hover { 
    color: var(--color-gold);
    background-color: var(--color-black);
    
}

.mobile-nav {
  position: absolute;  
  top: 0;
  right: 0;
  width: 100%; 
  background-color: var(--color-black);
  display: flex;
  flex-direction: column;
  text-align: left;

  transform: translateY(-10px);
  opacity: 0;
  pointer-events: none;
  transition: 0.3s ease;
}

.mobile-nav a {
  padding: 1.0rem;
  color: var(--color-white);
  text-decoration: none;
  border-bottom: 1px solid rgba(255,255,255,0.1);
  background-color: var(--color-black);  
  text-align: center;
}
.mobile-nav a:hover { 
    color:var(--color-gold);
}
.mobile-nav.active {
  transform: translateY(0);
  opacity: 1;
  pointer-events: auto;
}

}
       
@media screen and (min-width: 601px) and (max-width: 800px) { 
    .main-menu-fixed-hide {        
        display: none;
    } 
    .main-menu-fixed {              
        top: 10;
    } 
    .btn-menu-primary {
        font-size: 1.0rem;        
    }
        .site-header {
    display: flex;
    align-items: center;
    justify-content: space-between;
    padding: 1rem;
    background: var(--color-black);
    color: var(--color-white);
    position: relative;
    top: 0;
    left: 0;
    }

    .hamburger {
    width: 55px;
    height: 24px;
    background: none;
    border: none;
    cursor: pointer;
    display: flex;
    flex-direction: column;
    justify-content: space-between;
    }

    .hamburger span {
    height: 3px;
    width: 100%;
    background: var(--color-white);
    border-radius: 2px;
    transition: 0.3s ease;
    }
    .hamburger span:hover { 
        color: var(--color-gold);
        background-color: var(--color-black);
        
    }

    .mobile-nav {
    position: absolute;
    /* top: 100%; */
    top: 0;
    right: 0;
    width: 100%;
    background-color: var(--color-black);
    display: flex;
    flex-direction: column;
    text-align: left;

    transform: translateY(-10px);
    opacity: 0;
    pointer-events: none;
    transition: 0.3s ease;
    }

    .mobile-nav a {
    padding: 1.0rem;
    color: var(--color-white);
    text-decoration: none;
    border-bottom: 1px solid rgba(255,255,255,0.1);
    background-color: var(--color-black);  
    text-align: center;
    }
    .mobile-nav a:hover { 
        color:var(--color-gold);
    }
    .mobile-nav.active {
    transform: translateY(0);
    opacity: 1;
    pointer-events: auto;
    }
     
}

@media screen and (min-width: 451px) and (max-width: 600px) {
    .btn-menu-primary {
        font-size: .75rem;
    }
    .main-menu-fixed {
        top: 10;
    }
    .main-menu-fixed-hide {
        display: none;
    }
    .site-header {
        display: flex;
        align-items: center;
        justify-content: space-between;
        padding: 1rem;
        background: var(--color-black);
        color: var(--color-white);
        position: relative;
        top: 0;
        left: 0;
    }

    .hamburger {
        width: 55px;
        height: 24px;
        background: none;
        border: none;
        cursor: pointer;
        display: flex;
        flex-direction: column;
        justify-content: space-between;
    }

    .hamburger span {
        height: 3px;
        width: 100%;
        background: var(--color-white);
        border-radius: 2px;
        transition: 0.3s ease;
    }
    .hamburger span:hover { 
        color: var(--color-gold);
        background-color: var(--color-black);
        
    }

    .mobile-nav {
        position: absolute;
        
        top: 0;
        right: 0;
        width: 100%;
        background-color: var(--color-black);
        display: flex;
        flex-direction: column;
        text-align: left;

        transform: translateY(-10px);
        opacity: 0;
        pointer-events: none;
        transition: 0.3s ease;
    }

    .mobile-nav a {
        padding: 1.0rem;
        color: var(--color-white);
        text-decoration: none;
        border-bottom: 1px solid rgba(255,255,255,0.1);
        background-color: var(--color-black);  
        text-align: center;
    }
    .mobile-nav a:hover { 
        color:var(--color-gold);
    }
    .mobile-nav.active {
        transform: translateY(0);
        opacity: 1;
        pointer-events: auto;
    }  

}
@media screen and (min-width: 351px) and (max-width: 450px) {    
    .btn-menu-primary {
        font-size: 0.50rem;
        display: flex;
       
    } 
    .main-menu-fixed {
        top: 10;
    }
     .main-menu-fixed-hide {
        display: none;
    }  
    .site-header {
        display: flex;
        align-items: center;
        justify-content: space-between;
        padding: 1rem;
        background: var(--color-black);
        color: var(--color-white);
        position: relative;
        top: 0;
        left: 0;
    }

    .hamburger {
        width: 55px;
        height: 24px;
        background: none;
        border: none;
        cursor: pointer;
        display: flex;
        flex-direction: column;
        justify-content: space-between;
    }

    .hamburger span {
        height: 3px;
        width: 100%;
        background: var(--color-white);
        border-radius: 2px;
        transition: 0.3s ease;
    }
    .hamburger span:hover { 
        color: var(--color-gold);
        background-color: var(--color-black);        
    }
    .mobile-nav {
        position: absolute;  
        top: 0;
        right: 0;
        width: 100%;
        background-color: var(--color-black);
        display: flex;
        flex-direction: column;
        text-align: left;

        transform: translateY(-10px);
        opacity: 0;
        pointer-events: none;
        transition: 0.3s ease;
    }

    .mobile-nav a {
        padding: 1.0rem;
        color: var(--color-white);
        text-decoration: none;
        border-bottom: 1px solid rgba(255,255,255,0.1);
        background-color: var(--color-black);  
        text-align: center;
    }
    .mobile-nav a:hover { 
        color:var(--color-gold);
    }
    .mobile-nav.active {
        transform: translateY(0);
        opacity: 1;
        pointer-events: auto;
    }

}
@media screen and (max-width: 350px) {
    .main-menu-logo {
        display: none;
    }
    .main-menu-logo-graphic {
        display: block;
        width: 10%;
        margin-left: 5%;
    }
     .site-header {        
        padding: 0.5rem;
       
    }
    .main-menu-fixed {
        top: 10;
    }  
    .main-menu-fixed-hide {
        display: none;
    } 
    .site-header {
        display: flex;
        align-items: center;
        justify-content: space-between;
        padding: 1rem;
        background: var(--color-black);
        color: var(--color-white);
        position: relative;
        top: 0;
        left: 0;
    }

    .hamburger {
        width: 55px;
        height: 24px;
        background: none;
        border: none;
        cursor: pointer;
        display: flex;
        flex-direction: column;
        justify-content: space-between;
    }

    .hamburger span {
        height: 3px;
        width: 100%;
        background: var(--color-white);
        border-radius: 2px;
        transition: 0.3s ease;
    }
    .hamburger span:hover { 
        color: var(--color-gold);
        background-color: var(--color-black);        
    }
    .mobile-nav {
        position: absolute;    
        top: 0;
        right: 0;
        width: 100%;
        background-color: var(--color-black);
        display: flex;
        flex-direction: column;
        text-align: left;

        transform: translateY(-10px);
        opacity: 0;
        pointer-events: none;
        transition: 0.3s ease;
    }

    .mobile-nav a {
        padding: 1.0rem;
        color: var(--color-white);
        text-decoration: none;
        border-bottom: 1px solid rgba(255,255,255,0.1);
        background-color: var(--color-black);  
        text-align: center;
    }
    .mobile-nav a:hover { 
        color:var(--color-gold);
    }
    .mobile-nav.active {
        transform: translateY(0);
        opacity: 1;
        pointer-events: auto;
    }    
}


